import React from "react";
import { useNavigate } from "react-router-dom";
import { queryTable } from "@/utils/request";
import { ProTable } from "@ant-design/pro-components";
import Page from "@/components/Page";
import { Button, message, Popconfirm } from "antd";
import { getTdIssueType, deleteTdIssueType } from "@/service/tdissuetype";

const queryTdIssueList = queryTable(getTdIssueType);

export default (props) => {
  const actionRef = React.useRef();
  const navigate = useNavigate();

  // const updateStatus = (user) => {
  //   const status = user.status === 1 ? 0 : 1;
  //   const hide = message.loading("请稍候...", 0);
  //   updateUserStatus(user.id, status)
  //     .then((res) => {
  //       hide();
  //       actionRef.current.reload();
  //     })
  //     .catch(() => {
  //       hide();
  //     });
  // };
  const handleDelete = (id) => {
    if (id) {
      deleteTdIssueType(id).then((res) => {
        actionRef.current.reload();
      });
    }
  };

  const columns = [
    {
      title: "分类名称",
      dataIndex: "name",
    },
    {
      title: "排序",
      dataIndex: "sortNo",
    },
    {
      title: "状态",
      dataIndex: "status",
      valueEnum: {
        1: {
          text: "正常",
          status: "Processing",
        },
        0: {
          text: "禁用",
          status: "Error",
        },
      },
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        // <Button
        //   key={1}
        //   style={{ padding: 0 }}
        //   type="link"
        //   onClick={() => {
        //     updateStatus(record);
        //   }}
        // >
        //   {record.status === 1 ? "禁用" : "启用"}
        // </Button>,
        <Button
          key={2}
          style={{ padding: 0 }}
          type="link"
          onClick={() => {
            navigate(`/dict/issueType/edit?id=${record.typeId}`);
          }}
        >
          编辑
        </Button>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record.typeId)}
          okText="确定"
          cancelText="取消"
        >
          {/* manualPush */}
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <Page>
      <ProTable
        actionRef={actionRef}
        rowKey="typeId"
        search={false}
        toolBarRender={() => [
          <Button
            key="1"
            type="primary"
            onClick={() => {
              navigate("/dict/issueType/edit");
            }}
          >
            新增
          </Button>,
        ]}
        request={queryTdIssueList}
        columns={columns}
      />
    </Page>

  );
};
